Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688322 - [OSP13][THT] THT deploys manila.conf with deprecated settings for neutron and nova
Summary: [OSP13][THT] THT deploys manila.conf with deprecated settings for neutron and...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: async
: 13.0 (Queens)
Assignee: Victoria Martinez de la Cruz
QA Contact: Jason Grosso
URL:
Whiteboard:
Depends On: 1648114
Blocks: 1659149
TreeView+ depends on / blocked
 
Reported: 2019-03-13 14:35 UTC by Victoria Martinez de la Cruz
Modified: 2019-03-19 18:18 UTC (History)
14 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.2.0-6.2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1668936
Environment:
Last Closed: 2019-03-19 18:18:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1802393 None None None 2019-03-13 14:42:31 UTC
Launchpad 1818828 None None None 2019-03-13 14:42:31 UTC
OpenStack gerrit 629485 None None None 2019-03-13 14:42:31 UTC
OpenStack gerrit 642813 None None None 2019-03-13 14:42:31 UTC
Red Hat Product Errata RHBA-2019:0612 None None None 2019-03-19 18:18:16 UTC

Comment 8 Jason Grosso 2019-03-15 22:59:38 UTC
I was able to create a manila share with DHSS=True with the manila NetApp backend



(demo) [stack@undercloud-0 ~]$ manila show b3560205-813c-4edc-887f-303f9bfa0b84
+---------------------------------------+----------------------------------------------------------------+
| Property                              | Value                                                          |
+---------------------------------------+----------------------------------------------------------------+
| status                                | available                                                      |
| share_type_name                       | default                                                        |
| description                           | None                                                           |
| availability_zone                     | nova                                                           |
| share_network_id                      | 5185a12d-bdab-4945-a6e3-e47732a9a4fc                           |
| export_locations                      |                                                                |
|                                       | path = 172.20.0.8:/share_4c9cdd55_fe0d_44e2_ac7c_c8033bab1f69  |
|                                       | id = f5cf8249-617e-420c-ae0c-7cd38fa8a029                      |
|                                       | preferred = True                                               |
|                                       | path = 172.20.0.18:/share_4c9cdd55_fe0d_44e2_ac7c_c8033bab1f69 |
|                                       | id = 3807f8da-2f1f-4417-86a5-250297fd731c                      |
|                                       | preferred = False                                              |
| share_group_id                        | None                                                           |
| revert_to_snapshot_support            | False                                                          |
| access_rules_status                   | active                                                         |
| snapshot_id                           | None                                                           |
| create_share_from_snapshot_support    | True                                                           |
| is_public                             | False                                                          |
| task_state                            | None                                                           |
| snapshot_support                      | True                                                           |
| id                                    | b3560205-813c-4edc-887f-303f9bfa0b84                           |
| size                                  | 1                                                              |
| source_share_group_snapshot_member_id | None                                                           |
| user_id                               | d82a6f0c919f4642b45eba9d23fa415e                               |
| name                                  | demo-share-ss                                                  |
| share_type                            | e1819245-51b9-420a-993e-591d2b7fb7a1                           |
| has_replicas                          | False                                                          |
| replication_type                      | None                                                           |
| created_at                            | 2019-03-15T21:58:46.000000                                     |
| share_proto                           | NFS                                                            |
| mount_snapshot_support                | False                                                          |
| project_id                            | 11a07dbe48f942e0b25fea0d3e9ba089                               |
| metadata                              | {}                                                             |
+---------------------------------------+----------------------------------------------------------------+



$ ssh netapp
Password:
ntap2554openstack::> vserver show -vserver os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
 
                                    Vserver: os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
                               Vserver Type: data
                            Vserver Subtype: default
                               Vserver UUID: 84ff5b2d-476d-11e9-a639-00a0987cd4fa
                                Root Volume: root
                                  Aggregate: aggr1_n1
                                 NIS Domain: -
                 Root Volume Security Style: unix
                                LDAP Client: -
               Default Volume Language Code: C.UTF-8
                            Snapshot Policy: default
                                    Comment:
                               Quota Policy: default
                List of Aggregates Assigned: aggr1_n1, aggr1_n2
 Limit on Maximum Number of Volumes allowed: unlimited
                        Vserver Admin State: running
                  Vserver Operational State: running
   Vserver Operational State Stopped Reason: -
                          Allowed Protocols: nfs, cifs, fcp, iscsi, ndmp
                       Disallowed Protocols: -
            Is Vserver with Infinite Volume: false
                           QoS Policy Group: -
                        Caching Policy Name: -
                                Config Lock: false
                               IPspace Name: ipspace_1dcfc69b_b197_4d4d_969b_40db94bd2d11
                         Foreground Process: -
 
ntap2554openstack::> volume show -vserver os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
Vserver   Volume       Aggregate    State      Type       Size  Available Used%
--------- ------------ ------------ ---------- ---- ---------- ---------- -----
os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
          root         aggr1_n1     online     RW          1GB    972.6MB    5%
os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
          share_4c9cdd55_fe0d_44e2_ac7c_c8033bab1f69
                       aggr1_n2     online     RW          1GB    972.6MB    5%
2 entries were displayed.

Comment 9 Jason Grosso 2019-03-15 23:00:04 UTC
I was able to create a manila share with DHSS=True with the manila NetApp backend



(demo) [stack@undercloud-0 ~]$ manila show b3560205-813c-4edc-887f-303f9bfa0b84
+---------------------------------------+----------------------------------------------------------------+
| Property                              | Value                                                          |
+---------------------------------------+----------------------------------------------------------------+
| status                                | available                                                      |
| share_type_name                       | default                                                        |
| description                           | None                                                           |
| availability_zone                     | nova                                                           |
| share_network_id                      | 5185a12d-bdab-4945-a6e3-e47732a9a4fc                           |
| export_locations                      |                                                                |
|                                       | path = 172.20.0.8:/share_4c9cdd55_fe0d_44e2_ac7c_c8033bab1f69  |
|                                       | id = f5cf8249-617e-420c-ae0c-7cd38fa8a029                      |
|                                       | preferred = True                                               |
|                                       | path = 172.20.0.18:/share_4c9cdd55_fe0d_44e2_ac7c_c8033bab1f69 |
|                                       | id = 3807f8da-2f1f-4417-86a5-250297fd731c                      |
|                                       | preferred = False                                              |
| share_group_id                        | None                                                           |
| revert_to_snapshot_support            | False                                                          |
| access_rules_status                   | active                                                         |
| snapshot_id                           | None                                                           |
| create_share_from_snapshot_support    | True                                                           |
| is_public                             | False                                                          |
| task_state                            | None                                                           |
| snapshot_support                      | True                                                           |
| id                                    | b3560205-813c-4edc-887f-303f9bfa0b84                           |
| size                                  | 1                                                              |
| source_share_group_snapshot_member_id | None                                                           |
| user_id                               | d82a6f0c919f4642b45eba9d23fa415e                               |
| name                                  | demo-share-ss                                                  |
| share_type                            | e1819245-51b9-420a-993e-591d2b7fb7a1                           |
| has_replicas                          | False                                                          |
| replication_type                      | None                                                           |
| created_at                            | 2019-03-15T21:58:46.000000                                     |
| share_proto                           | NFS                                                            |
| mount_snapshot_support                | False                                                          |
| project_id                            | 11a07dbe48f942e0b25fea0d3e9ba089                               |
| metadata                              | {}                                                             |
+---------------------------------------+----------------------------------------------------------------+



$ ssh netapp
Password:
ntap2554openstack::> vserver show -vserver os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
 
                                    Vserver: os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
                               Vserver Type: data
                            Vserver Subtype: default
                               Vserver UUID: 84ff5b2d-476d-11e9-a639-00a0987cd4fa
                                Root Volume: root
                                  Aggregate: aggr1_n1
                                 NIS Domain: -
                 Root Volume Security Style: unix
                                LDAP Client: -
               Default Volume Language Code: C.UTF-8
                            Snapshot Policy: default
                                    Comment:
                               Quota Policy: default
                List of Aggregates Assigned: aggr1_n1, aggr1_n2
 Limit on Maximum Number of Volumes allowed: unlimited
                        Vserver Admin State: running
                  Vserver Operational State: running
   Vserver Operational State Stopped Reason: -
                          Allowed Protocols: nfs, cifs, fcp, iscsi, ndmp
                       Disallowed Protocols: -
            Is Vserver with Infinite Volume: false
                           QoS Policy Group: -
                        Caching Policy Name: -
                                Config Lock: false
                               IPspace Name: ipspace_1dcfc69b_b197_4d4d_969b_40db94bd2d11
                         Foreground Process: -
 
ntap2554openstack::> volume show -vserver os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
Vserver   Volume       Aggregate    State      Type       Size  Available Used%
--------- ------------ ------------ ---------- ---- ---------- ---------- -----
os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
          root         aggr1_n1     online     RW          1GB    972.6MB    5%
os_12ba39fa-9d83-48ee-bb5b-7326e1a7d56d
          share_4c9cdd55_fe0d_44e2_ac7c_c8033bab1f69
                       aggr1_n2     online     RW          1GB    972.6MB    5%
2 entries were displayed.

Comment 11 errata-xmlrpc 2019-03-19 18:18:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0612


Note You need to log in before you can comment on or make changes to this bug.